@import '_content/ChefKnifeStudios.PokerAttack.Client.Shared/ChefKnifeStudios.PokerAttack.Client.Shared.w5qwcw7vy6.bundle.scp.css';

/* /Layout/MainLayout.razor.rz.scp.css */
.page[b-icopg8jfk4] {
    height: 100vh;
    position: relative;
    display: flex;
    flex-direction: column;
    overflow: hidden;
    -ms-overflow-style: none; /* Internet Explorer 10+ */
    scrollbar-width: none; /* Firefox, Safari 18.2+, Chromium 121+ */
}

.page[b-icopg8jfk4]::-webkit-scrollbar {
    display: none; /* Older Safari and Chromium */
}

@media (max-width: 500px) {
    .page[b-icopg8jfk4] {
        overflow: auto;
        -ms-overflow-style: auto; /* Internet Explorer 10+ */
        scrollbar-width: auto; /* Firefox, Safari 18.2+, Chromium 121+ */
    }
}

[b-icopg8jfk4] .mdc-checkbox__native-control ~ .mdc-checkbox__background {
    border-color: var(--mdc-theme-primary, #6200ee) !important;
}

[b-icopg8jfk4] .mdc-checkbox__native-control:enabled:checked ~ .mdc-checkbox__background {
    background-color: var(--mdc-theme-primary, #6200ee);
}
/* /Pages/Gameplay.razor.rz.scp.css */
.sidebar[b-3irsdgg5f6] {
    height: 100dvh;
    display: flex;
    flex-direction: column;
    gap: 16px;
    padding: 16px;
}

.sidebar span[b-3irsdgg5f6] {
    height: fit-content;
    display: block;
}

.action-buttons[b-3irsdgg5f6] {
    margin: 16px 8px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    column-gap: 8px;
    row-gap: 16px;
    padding: 16px 0;
}

.action-buttons span[b-3irsdgg5f6] {
    display: block;
}

.gaming-container[b-3irsdgg5f6] {
    margin: 24px;
}

.action-btn[b-3irsdgg5f6] {
    height: 50px;
}

[b-3irsdgg5f6] .player-power-list,
.upgrade-message[b-3irsdgg5f6] {
    margin: 16px;
}

@media (max-width: 1200px) {
    .sidebar[b-3irsdgg5f6],
    .gaming-container[b-3irsdgg5f6] {
        grid-column-end: span 12 !important;
    }

    .mat-layout-grid-inner[b-3irsdgg5f6] {
        display: flex; /* override Material grid layout */
        flex-direction: column-reverse; /* reverse the order */
        gap: 0;
    }

    .sidebar[b-3irsdgg5f6] {
        height: auto;
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        column-gap: 4px;
        row-gap: 4px;
        place-items: center;
        padding: 0 4px;
    }

    .sidebar span[b-3irsdgg5f6] {
        height: 24px;
        display: inherit;
        font-size: 1rem;
    }

    .gaming-container[b-3irsdgg5f6] {
        margin: 12px 24px 0;
    }

    .action-buttons[b-3irsdgg5f6] {
        margin: 0;
    }

    .action-buttons span.key-bind[b-3irsdgg5f6] {
        display: none;
    }
}
/* /Pages/Lobbies.razor.rz.scp.css */
.container[b-unzfd3u3j6] {
    width: 100dvw;
    height: 100dvh;
    display: flex;
    flex-direction: column;
    overflow: hidden;
}

.container .content[b-unzfd3u3j6] {
    width: 100dvw;
    flex: 1 1 auto;
    overflow-y: auto;
    -webkit-overflow-scrolling: touch;
}

.lobby-actions[b-unzfd3u3j6] {
    display: flex;
    gap: 16px;
    margin: 32px 24px;
    align-items: center;
    justify-content: left;
    height: 48px;
    width: fit-content;
}

.create-lobby-btn[b-unzfd3u3j6],
.play-solo-btn[b-unzfd3u3j6] {
    padding: 4px 8px;
    height: 100%;
}
/* /Pages/SoloGameplay.razor.rz.scp.css */
.sidebar[b-uob3ak50s6] {
    height: 100dvh;
    display: flex;
    flex-direction: column;
    gap: 16px;
    padding: 16px;
}

.sidebar span[b-uob3ak50s6] {
    height: fit-content;
    display: block;
}

.action-buttons[b-uob3ak50s6] {
    margin: 16px 8px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    column-gap: 8px;
    row-gap: 16px;
    padding: 16px 0;
}

.action-buttons span[b-uob3ak50s6] {
    display: block;
}

.gaming-container[b-uob3ak50s6] {
    margin: 24px;
}

.action-btn[b-uob3ak50s6] {
    height: 50px;
}

.scoreboard-container[b-uob3ak50s6],
.shop-container[b-uob3ak50s6],
.elimination-container[b-uob3ak50s6],
.game-over-container[b-uob3ak50s6] {
    display: flex;
    flex-direction: column;
    gap: 16px;
    padding: 8px 12px;
    width: fit-content;
}

.top-bar[b-uob3ak50s6] {
    display: grid;
    grid-template-columns: auto auto 1fr;
    gap: 16px;
    align-items: center;
}

.top-bar .continue-btn[b-uob3ak50s6] {
    justify-self: end;
}

@media (max-width: 1200px) {
    .sidebar[b-uob3ak50s6],
    .gaming-container[b-uob3ak50s6] {
        grid-column-end: span 12 !important;
    }

    .mat-layout-grid-inner[b-uob3ak50s6] {
        display: flex; /* override Material grid layout */
        flex-direction: column-reverse; /* reverse the order */
        gap: 0;
    }

    .sidebar[b-uob3ak50s6] {
        height: auto;
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        column-gap: 4px;
        row-gap: 4px;
        place-items: center;
        padding: 0 4px;
    }

    .sidebar span[b-uob3ak50s6] {
        height: 24px;
        display: inherit;
        font-size: 1rem;
    }

    .gaming-container[b-uob3ak50s6] {
        margin: 12px 24px 0;
    }

    .action-buttons[b-uob3ak50s6] {
        margin: 0;
    }

    .action-buttons span.key-bind[b-uob3ak50s6] {
        display: none;
    }
}
